# Update Client Initial Balance Updates the initial balance for a client. Endpoint: PUT /api/v3/clients/{id}/initial_balance Version: 3.1.0 Security: apiKeyAuth ## Query parameters: - `api_key` (string, required) Your API Key. Example: "YOUR_API_KEY" ## Path parameters: - `id` (string, required) Client id ## Request fields (application/json): - `initial_balance` (object, required) - `initial_balance.value` (number, required) Must be >= 0 and >= the sum of the client's regularizations. Omitting it fails with HTTP 500. Example: 123 - `initial_balance.date` (string, required) Must be on or before the date of the client's first regularization and on or before the date of the client's first non-draft document. Example: "2024-01-01" - `initial_balance.observation` (string,null) ## Response 200 fields (application/json): - `initial_balance` (object) - `initial_balance.value` (number) Example: 123 - `initial_balance.date` (string) Example: "2024-01-01" - `initial_balance.observation` (string,null) ## Response 401 fields (application/json): - `errors` (array) Example: [{"error":"Authentication Error"}] - `errors.error` (string) ## Response 404 fields (application/json): - `errors` (array) Example: [{"error":"Resource not found"}] - `errors.error` (string) ## Response 422 fields (application/json): - `errors` (array) Example: [{"error":"An unexpected error occurred"}] - `errors.error` (string) ## Response 500 fields (application/json): - `errors` (array) Example: [{"error":"An unexpected error occurred"}] - `errors.error` (string)